Spacetraveler Installation Causes error starting NX1

Questions and answers about 3Dconnexion devices on Windows.

Moderator: Moderators

Post Reply
fwkerner
Posts: 4
Joined: Mon Dec 18, 2006 10:01 pm

Spacetraveler Installation Causes error starting NX1

Post by fwkerner » Mon Dec 18, 2006 10:20 pm

After installing 3DxWare ver 5.7.2, Firmware ver 3.11, I get the following error: " uraf.exe-unable to locate DLL - The dynamic lin library libnxopencpp.dll could not be found in the specified path C:\Program Files\EDS\Unigraphics\NX\ugalliance\vendor\startup;. " when starting UGNX1.

I also get a number of Bitmap Error Messages like- "Failed to open bitmap file: 3dxbuttonmapping.bmp" after the above dll error.

I am running Windows 2000 pro SP4

The SpaceTraveler seems to work okay, but, since I'm new to this product, I would appreciate some help.

Thanks

ngomes
Moderator
Moderator
Posts: 2009
Joined: Mon Nov 27, 2006 7:22 am
Contact:

Post by ngomes » Tue Dec 19, 2006 2:46 am

Hi fwkerner,
It seems that you are using a rather old version of our software. Please update to the more recent 3DxSoftware v. 2.8. To download it and since you're using Windows 2000, go to the download page and select a serial device. After installing 2.8, we would appreciate if you could post the result in this topic.
Nuno Gomes

fwkerner
Posts: 4
Joined: Mon Dec 18, 2006 10:01 pm

New version gives same errors with NX1

Post by fwkerner » Tue Dec 19, 2006 10:35 am

Nuno,

Thanks for your quick reply.

I did as you said and downloaded the ver 2.8 software and installed it. The install went okay and the Space Traveler seems to work in NX1 (as far as I can tell), but I still get the same error messages (???)

Frank

fwkerner
Posts: 4
Joined: Mon Dec 18, 2006 10:01 pm

Typo in original message

Post by fwkerner » Tue Dec 19, 2006 5:09 pm

Nuno,

I reread my original message and found a typo. The program generating the error was UGRAF.EXE (not uraf.exe). Sorry.

Frank

ngomes
Moderator
Moderator
Posts: 2009
Joined: Mon Nov 27, 2006 7:22 am
Contact:

Post by ngomes » Wed Dec 20, 2006 11:32 am

Hi fwkerner,
We have been looking at this issue. As it turns out, our plug-in for NX (extended button programming in the application with automatic context detection) is only supported in NX2 and above. Navigation is native to the application and the plug-in is not required for that.
The messages that you are seeing are due to a bug -- we believe -- on the plug-in installer. It should only be copying files to the NX installation directory for NX2 and above.
To prevent the error messages and since you are using 3DxSoftware v. 2.8, go to the Control Panel, open the "Add or Remove Programs" (ARP) panel and remove the "3Dconnexion Plug-In for NX" program.
We would still like to research the problem further with a view to fix the bug and we would appreciate your assistance. We will be contacting you on a private message with instructions.

fwkerner
Posts: 4
Joined: Mon Dec 18, 2006 10:01 pm

Error Messages Gone after removing plug-in

Post by fwkerner » Wed Dec 20, 2006 4:26 pm

Thanks again for the quick reply.

I removed the plug-in and the error messages disappeared! The SpaceTraveller seems to be working fine.

Thanks for the help.

Frank

ngomes
Moderator
Moderator
Posts: 2009
Joined: Mon Nov 27, 2006 7:22 am
Contact:

Post by ngomes » Wed Dec 20, 2006 5:24 pm

Hi fwkerner,

We have created an incident report (no. 4252) to track the reported bug. We will post to this topic when there are further developments.

ngomes
Moderator
Moderator
Posts: 2009
Joined: Mon Nov 27, 2006 7:22 am
Contact:

Post by ngomes » Fri Mar 30, 2007 5:18 am

We cannot reproduce the issue described in the incident report 4252. If the problem is still reproducible with the latest version of our software, please post here.

Post Reply